Bug 48819 - After users login on the web page, the page does not show they are logged in
Summary: After users login on the web page, the page does not show they are logged in
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_proxy_http (show other bugs)
Version: 2.2.14
Hardware: Sun Solaris
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2010-02-25 21:00 UTC by ruiyuan_jiang
Modified: 2018-11-07 21:08 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ruiyuan_jiang 2010-02-25 21:00:05 UTC
The setup was:

BlueCoat reverse proxy server --> HPUX 11.23, Apache v2.2.8, Tomcat 5.5 --> Oracle DB.

Before we upgraded to HPUX 11.23, Apache v2.2.8, Tomcat 5.5 in above setup, we used HPUX 11.11, Apache v2.0.59, Tomcat 5.5 with mod_ajp (mod_jk) no problem. The Apache on HPUX 11.11 has multiple virtual servers. I use two virtual servers to explain the problem. One virtual server strictly served local html static web pages. Another virtual server is Apache mod_jk redirected traffic to Tomcat AJP port. 
We migrated to HPUX 11.23, Apache v2.2.8, Tomcat 5.5. After running for several days, Apache stopped to redirect traffic to Tomcat. Meanwhile the Apache virtual server served static html web pages no problem. We first thought the problem is on Tomcat, restarted Tomcat did not help. After restarted Apache, the problem fixed and it ran for several days then the problem happened again and needed to restart Apache again. I then downgraded Apache to v2.0.59 on HPUX 11.23 and the problem went away. The only change here is the Apache version and its httpd.conf file. I called HP support but no help. The latest version of Apache being compiled by HP is 2.2.8.

The new setup after above setup is:

Solaris 10, Apache v2.2.14 reverse proxy --> HPUX 11.23, Apache v2.0.59, Tomcat 5.5 --> Oracle DB

Here the change is replacing BlueCoat proxy to Solaris. HPUX server stays the same except Apache being downgraded as the problem described above.

The web pages from multiple virtual servers have user login pages from Tomcat. After users logged in to the web server, the server does not show the user has logged. After the user click F5 to refresh the web page, the web page shows the user is logged in. The same happened when the users logged out from the web servers. After downgraded Apache on Solaris reverse proxy from v2.2.14 to v2.0.59, the problem went away. The web page shows the user logged in correctly. The problem happens on all my web servers. 

On HPUX 11.23 server, we use mod_ajp (mod_jk) to redirect traffic from Apache to Tomcat AJP which are on the same host.
On Solaris 10 Apache reverse proxy, we use mod_proxy, mod_proxy_http. 
The traffic between HPUX with either front BlueCoat or Solaris is http. 
On my Solaris proxy server, the proxypass and proxyreversepass of one of the virtualhost are:

     ProxyPass /       http://www.loveisnotabuse.com/
     ProxyPassReverse /        http://www.loveisnotabuse.com/

The Apaches used are compiled by either by HP or Internet although I could. The changes on Apache side are only httpd.conf or httpd-vhosts.conf.
Comment 1 Eric Covener 2011-03-12 21:38:05 UTC
Would minimally need to see logs and backtraces if mod_proxy stopped sending requests to tomcat.
Comment 2 William A. Rowe Jr. 2018-11-07 21:08:49 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.